#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for documentation
Name:           kdoctools
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:  karchive-devel >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  docbook-style-xsl
BuildRequires:  perl(URI)

%description
Provides tools to generate documentation in various format from DocBook files.

%files -f kdoctools5.lang
%_kf5_bindir/meinproc5
%_kf5_datadir/kf5/kdoctools
%_kf5_mandir/man?/*

#--------------------------------------------------------------------

%define kf5doctools_major 5
%define libkf5doctools %mklibname kf5doctools %{kf5doctools_major}

%package -n %libkf5doctools
Summary:      KDE Frameworks 5 Tier 2 addon for documentation
Group:        System/Libraries

%description -n %libkf5doctools
Provides tools to generate documentation in various format from DocBook files

%files -n %libkf5doctools
%_kf5_libdir/libKF5DocTools.so.%{kf5doctools_major}*

#--------------------------------------------------------------------

%define kdoctools_devel %mklibname kdoctools -d

%package -n %kdoctools_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5doctools = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       karchive-devel = %version
Requires:       pkgconfig(Qt5Core)

%description -n %kdoctools_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kdoctools_devel
%_kf5_bindir/checkXML5
%_kf5_libdir/cmake/KF5DocTools
%_kf5_libdir/libKF5DocTools.so
%_kf5_includedir/KDocTools/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang kdoctools5 --with-html --with-man --all-name


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194129
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089303
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074534
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072199
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058354
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050531
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049215
- enable KF5I18n support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045109
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041331
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021929
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014339
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999635
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986328
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942248
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921281
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913022
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909866
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900638
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899580
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898925
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888165
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881389
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862950
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862668
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853796
- New version 5.12.0

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844135
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803357
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 741807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681029
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660429
- New version 5.1.0

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650730
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 644289
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611275
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599787
- New version 4.97.0

* Tue Feb 18 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594264
- imported package kdoctools

